declare type Volume = number;
interface VolumeChangeEvent {
    volume: Volume;
}
export interface AudioRecorderOptions extends MediaRecorderOptions {
    deviceId?: string;
    workletPath?: string;
}
export interface AudioEventListenerMap {
    volumechange: VolumeChangeEvent;
}
export declare type AudioEventListener<T> = (event: T) => void;
export declare type AudioEventListeners = {
    [k in keyof AudioEventListenerMap]?: AudioEventListener<AudioEventListenerMap[k]>[];
};
export {};
